<?php
namespace Zeedhi\Report\Loader\Dataset;

/**
 * Description of Loader
 *
 * @author tuliopinto
 */
class QueryClassLoader implements DatasetLoadable {

    private $application;

    /**
     * Load report data from reportName.
     * 
     * @param string $reportName
     * 
     * @return array
     */
    public function loadReportSql($reportMetadata) {
        $reportMetadataSource = $reportMetadata['dataSource'];
        $dataSourceName = $reportMetadataSource['name'];
        $dataSource = $this->createReportDataSourceObject($dataSourceName);
        return $dataSource::QUERY;
    }

    /**
     * 
     * 
     * @param string $reportName
     * 
     * @return object
     */
    public function createReportDataSourceObject($dataSourceName) {
        $namespace = '\\Generated\\DataSource\\';
        $className = \Doctrine\Common\Util\Inflector::classify(strtolower($dataSourceName));
        $fullClassName = $namespace . $className;
        return $fullClassName;
    }



}